Game Develop Core: gd::VersionWrapper Class Reference

| Game Develop Core Core library for developing platforms and tools compatible with Game Develop.

- Main Page
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy

All Classes Files Functions Variables Typedefs Enumerations Macros Groups Pages
Static Public Member Functions | List of all members
gd::VersionWrapper Class Reference

Used to get information about Game Develop Core version. More...

`#include <VersionWrapper.h>`

## Static Public Member Functions

static int | Major ()
static int | Minor ()
static int | Build ()
static int | Revision ()
static std::string | FullString ()
static std::string | Status ()
static bool | CompiledForEdittime ()
static std::string | Year ()
static std::string | Month ()
static std::string | Date ()

## Detailed Description

Used to get information about Game Develop Core version.

## Member Function Documentation

int gd::VersionWrapper::Build | ( | ) |  |

static

Get Game Develop Core Build version number

bool gd::VersionWrapper::CompiledForEdittime | ( | ) |  |

static

Return true if GDCpp is compiled with edittime support.

std::string gd::VersionWrapper::Date | ( | ) |  |

static

Get Day of the release

std::string gd::VersionWrapper::FullString | ( | ) |  |

static

Get a full string containing version.

int gd::VersionWrapper::Major | ( | ) |  |

static

Get Game Develop Core Major version number

int gd::VersionWrapper::Minor | ( | ) |  |

static

Get Game Develop Core Minor version number

std::string gd::VersionWrapper::Month | ( | ) |  |

static

Get Month of the release

int gd::VersionWrapper::Revision | ( | ) |  |

static

Get Game Develop Core Revision version number

std::string gd::VersionWrapper::Status | ( | ) |  |

static

Get GDCore status ( Alpha/Beta/Release Candidate/Release )

std::string gd::VersionWrapper::Year | ( | ) |  |

static

Get Year of the release

The documentation for this class was generated from the following files:

- VersionWrapper.h
- VersionWrapper.cpp